@import url('https://fonts.googleapis.com/css2?family=Nunito&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kalnia:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans&display=swap');
@import url('https://fonts.googleapis.com/css?family=Metrophobic');

*{
    margin: 0;
    padding: 0;
}

/* Common Colors */

:root{
    --black: #000000;
    --yellow: #ff8000;
    --lightyellow: #ffbf00;
    --blue: #1566A5;
    --lightblue: #29C5f6;
    --card-border: rgb(228, 226, 226);
    --transparent: #02020288;
}
/* #0f3450 */

/* Blog Page */

/* .add:active{
    transform: scale(0.98);
} */

/*    Button Styling */
.add-more{
    border-radius: 30px;
    background-color: var(--blue);
    border: 2px solid var(--blue);
    color: white;
    padding: 0.5rem 2rem;
    font-weight: 600;
}

.add-more:hover{
    background-color: white;
    border: 2px solid var(--blue);
    color: var(--blue);
}


.note{
    box-shadow: 3px 3px 8px var(--card-border);
    padding: 1rem;
    color: grey;
    border: none;
}


.main{
    width: 100%;
    height: 14rem;
    font-size: 1.1rem;
    line-break: auto;
    height: 100%;
    padding: 0.8rem;
    overflow: hidden;
}

.note textarea{
    border: none;
background-color: var(--card-border);
width: 100%;
height: 20rem;
font-size: 1.1rem;
}

.note textarea:focus{
    border: none;
}

.edit,
.delete, .update{
    color: var(--blue);
    border: none;
    background-color: white;
    margin: 0.8rem 0.8rem 0rem 0rem;
    font-size: 1rem;
    font-weight: 600;
    text-transform: uppercase;
    border-bottom: 1px dotted white;
    transition: all 0.2s ease-in;
}

.edit:hover, .delete:hover, .update:hover{
    color: var(--yellow);
    border-bottom: 1px dotted var(--yellow);
}

.hidden{
display: none;
}

.show{
    display: block;
    }
    
